<?php

//Add new column
add_filter( 'manage_tc_tickets_instances_posts_columns', 'tc_attendees_add_print_column', 11,1 );
function tc_attendees_add_print_column( $columns ) {
    $columns['print'] = __( 'Print', 'tc_print' );
    return $columns;
}


//Add print option
add_action( 'manage_tc_tickets_instances_posts_custom_column', 'tc_print_ticket_instance', 10, 2);
function tc_print_ticket_instance( $column, $post_id ) {
    if ( 'print' === $column ) {
        $retrieving_message = __('Loading ticket...', 'tc_print');
        $print_action = '<a class="tc-print-ticket" onclick="printJS({printable:\'' . admin_url('edit.php?post_type=tc_tickets_instances&tc_preview&ticket_instance_id=' . $post_id) . '.pdf\', type:\'pdf\', showModal:true, modalMessage:\'' . esc_js($retrieving_message) . '\'})">' . '<span class="dashicons dashicons-printer"></span>' . '</a>';
        if (current_user_can('manage_options')||current_user_can('edit_published_tc_tickets_instances')) {
            echo $print_action;
        }
        else {
            echo __('Not allowed', 'tc_print');
        }
    }
}
